/*
 * DivisionEquationAction.java
 *
 * Created on Ketvirtadienis, 2007, Sausio 25, 17.22
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package Main.parser;

public class DivisionEquationAction extends EquationAction
{
	
	public DivisionEquationAction(AbstractEquationElement first, AbstractEquationElement second)
	{
		super(first, second);
	}
	
	public double calculate()
	{
		return mFirst.calculate()/mSecond.calculate();
	}
	
	public String toString()
	{
		return "("+getFirst().toString()+"\\"+getSecond().toString()+")";
	}
}

